//P-Regler:
function f = rechteSeite(t,y)
    u=0.7-y(1,1);
    f(1,1)=y(2,1);
    f(2,1)=y(3,1);
    f(3,1)=-y(2,1)-2*y(3,1)+u;
endfunction

//Zweipunkt-Regler:
function f = rechteSeite2(t,y)
    u=0.2;
    if(y(1,1)>0.7)
         u=-0.2;
    end
    f(1,1)=y(2,1);
    f(2,1)=y(3,1);
    f(3,1)=-y(2,1)-2*y(3,1)+u;
endfunction


t = 0:0.005:90;
y0 = [0,0,0]';
t0 = 0;
y   = ode("fix",y0,t0,t,rechteSeite);
y2  = ode("fix",y0,t0,t,rechteSeite2);

plot(t,y(1,:),'blu',t,y2(1,:),'red');
a = gca();
a.x_label.text = 't/s';
a.y_label.text = 'y';
a.title.text = 'Grenzzyklus';
hl=legend(['P-Regler';'Zweipunktregler'],a=1);



